[med-svn] [Git][med-team/bifrost][master] 2 commits: Split up library packages
Andreas Tille (@tille)
gitlab at salsa.debian.org
Wed Nov 8 14:38:51 GMT 2023
Andreas Tille pushed to branch master at Debian Med / bifrost
Commits:
45dbe139 by Andreas Tille at 2023-11-08T12:04:46+01:00
Split up library packages
- - - - -
fd9c5f7d by Andreas Tille at 2023-11-08T15:37:00+01:00
Add autopkgtest
- - - - -
11 changed files:
- + debian/README.test
- + debian/bifrost.doc
- + debian/bifrost.examples
- + debian/bifrost.install
- debian/control
- + debian/patches/add_soname.patch
- + debian/patches/series
- debian/rules
- + debian/source/include-binaries
- + debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+ sh run-unit-test
+
+in order to confirm its integrity.
=====================================
debian/bifrost.doc
=====================================
@@ -0,0 +1,2 @@
+debian/README.test
+debian/tests/run-unit-test
=====================================
debian/bifrost.examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/*.gz
=====================================
debian/bifrost.install
=====================================
@@ -0,0 +1 @@
+usr/bin
=====================================
debian/control
=====================================
@@ -4,6 +4,7 @@ Uploaders: Andreas Tille <tille at debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
+ d-shlibs,
cmake,
zlib1g-dev
Standards-Version: 4.6.2
@@ -16,7 +17,7 @@ Package: bifrost
Architecture: any
Depends: ${shlibs:Depends},
${misc:Depends}
-Description: parallel construction, indexing and querying of colored and compacted de Bruijn graphs
+Description: parallel construction, indexing and querying of de Bruijn graphs
Bifrost is a command-line tool for sequencing that features a broad
range of functions, such as indexing, editing, and querying the graph,
and includes a graph coloring method that maps each k-mer of the graph
@@ -30,3 +31,44 @@ Description: parallel construction, indexing and querying of colored and compact
* Multi-threaded
* No parameters to estimate with other tools
* Exact or approximate k-mer search of queries
+
+Package: libbifrost0
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+ ${misc:Depends}
+Description: library for parallel construction, indexing and querying of de Bruijn graphs
+ Libbifrost is the shared library for the command-line tool bifrost for
+ sequencing that features a broad range of functions, such as indexing,
+ editing, and querying the graph, and includes a graph coloring method
+ that maps each k-mer of the graph to the genomes it occurs in.
+ .
+ * Build, index, color and query the compacted de Bruijn graph
+ * No need to build the uncompacted de Bruijn graph
+ * Reads or assembled genomes as input
+ * Output graph in GFA (can be visualized with Bandage), FASTA or binary
+ * Graph cleaning: short tip clipping, etc.
+ * Multi-threaded
+ * No parameters to estimate with other tools
+ * Exact or approximate k-mer search of queries
+
+Package: libbifrost-dev
+Architecture: any
+Section: libdevel
+Depends: libbifrost0 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: library for parallel construction, indexing and querying of de Bruijn graphs
+ Libbifrost-dev is the development library for the command-line tool
+ bifrost for sequencing that features a broad range of functions, such as
+ indexing, editing, and querying the graph, and includes a graph coloring
+ method that maps each k-mer of the graph to the genomes it occurs in.
+ .
+ * Build, index, color and query the compacted de Bruijn graph
+ * No need to build the uncompacted de Bruijn graph
+ * Reads or assembled genomes as input
+ * Output graph in GFA (can be visualized with Bandage), FASTA or binary
+ * Graph cleaning: short tip clipping, etc.
+ * Multi-threaded
+ * No parameters to estimate with other tools
+ * Exact or approximate k-mer search of queries
=====================================
debian/patches/add_soname.patch
=====================================
@@ -0,0 +1,14 @@
+Author: Andreas Tille <tille at debian.org>
+Last-Update: Wed, 08 Nov 2023 10:24:49 +0100
+Description: Add SOVERSION
+
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -8,6 +8,7 @@ add_definitions(-DMAX_GMER_SIZE=${MAX_GM
+
+ add_library(bifrost_static STATIC ${sources} ${headers})
+ add_library(bifrost_dynamic SHARED ${sources} ${headers})
++set_target_properties(bifrost_dynamic PROPERTIES SOVERSION 0)
+
+ set_target_properties(bifrost_static PROPERTIES OUTPUT_NAME "bifrost")
+ set_target_properties(bifrost_dynamic PROPERTIES OUTPUT_NAME "bifrost")
=====================================
debian/patches/series
=====================================
@@ -0,0 +1 @@
+add_soname.patch
=====================================
debian/rules
=====================================
@@ -9,3 +9,11 @@ export DEB_BUILD_MAINT_OPTIONS=hardening=+all
override_dh_auto_configure:
dh_auto_configure -- -DCOMPILATION_ARCH=OFF
+
+override_dh_install:
+ dh_install
+ d-shlibmove --commit \
+ --multiarch \
+ --devunversioned \
+ --movedev debian/tmp/usr/include/* usr/include \
+ debian/tmp/usr/lib/*.so
=====================================
debian/source/include-binaries
=====================================
@@ -0,0 +1,2 @@
+debian/tests/data/ecoli_1K_1.fq.gz
+debian/tests/data/ecoli_1K_2.fq.gz
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+pkg=bifrost
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ # shellcheck disable=SC2064
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip *.gz
+Bifrost build -t 4 -k 31 -i -d -s ecoli_1K_1.fq -s ecoli_1K_2.fq -o AB_graph
View it on GitLab: https://salsa.debian.org/med-team/bifrost/-/compare/80b6fe48a2dfa4d8dabdd4b5f9af8d29a76176d0...fd9c5f7d65211d742828b55671881e819b55b69f
--
View it on GitLab: https://salsa.debian.org/med-team/bifrost/-/compare/80b6fe48a2dfa4d8dabdd4b5f9af8d29a76176d0...fd9c5f7d65211d742828b55671881e819b55b69f
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231108/eadd9871/attachment-0001.htm>
More information about the debian-med-commit
mailing list